Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ExecuteExportResponse

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessage
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteExportResponse

All Implemented Interfaces:
  `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.ExecuteExportResponseOrBuilder`, `Serializable`

Enclosing class:
  `ClientWireProtocol`

public static final class ClientWireProtocol.ExecuteExportResponse extends GeneratedMessage implements ClientWireProtocol.ExecuteExportResponseOrBuilder
Protobuf type `xg.cmdcomp.ExecuteExportResponse`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ClientWireProtocol.ExecuteExportResponse.Builder`
Protobuf type `xg.cmdcomp.ExecuteExportResponse`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`GeneratedMessage.ExtendableBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessage.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessage.ExtendableMessage<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.FieldAccessorTable, GeneratedMessage.GeneratedExtension<ContainingT extends Message,T>, GeneratedMessage.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

`AbstractMessage.BuilderParent`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`EXPORTSTATEMENT_FIELD_NUMBER`
`static final int`
`QUERYID_FIELD_NUMBER`
`static final int`
`REDIRECT_FIELD_NUMBER`
`static final int`
`REDIRECTHOST_FIELD_NUMBER`
`static final int`
`REDIRECTPORT_FIELD_NUMBER`
`static final int`
`RESPONSE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessage

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`static ClientWireProtocol.ExecuteExportResponse`
`getDefaultInstance()`
`ClientWireProtocol.ExecuteExportResponse`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`String`
`getExportStatement()`
`string exportStatement = 2;`
`ByteString`
`getExportStatementBytes()`
`string exportStatement = 2;`
`Parser<ClientWireProtocol.ExecuteExportResponse>`
`getParserForType()`
TODO: Remove this unnecessary intermediate implementation of this method.
`String`
`getQueryId()`
`string queryId = 6;`
`ByteString`
`getQueryIdBytes()`
`string queryId = 6;`
`boolean`
`getRedirect()`
Redirect = true, means we are telling client to send the command elsewhere
`String`
`getRedirectHost()`
`string redirectHost = 4;`
`ByteString`
`getRedirectHostBytes()`
`string redirectHost = 4;`
`int`
`getRedirectPort()`
`fixed32 redirectPort = 5;`
`ClientWireProtocol.ConfirmationResponse`
`getResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`getResponseOrBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`int`
`hashCode()`
Returns the hash code value for this message.
`boolean`
`hasResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static ClientWireProtocol.ExecuteExportResponse.Builder`
`newBuilder()`
`static ClientWireProtocol.ExecuteExportResponse.Builder`
`newBuilder(ClientWireProtocol.ExecuteExportResponse prototype)`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected ClientWireProtocol.ExecuteExportResponse.Builder`
`newBuilderForType(AbstractMessage.BuilderParent parent)`
Create a nested builder.
`static ClientWireProtocol.ExecuteExportResponse`
`parseDelimitedFrom(InputStream input)`
`static ClientWireProtocol.ExecuteExportResponse`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ExecuteExportResponse`
`parseFrom(byte[] data)`
`static ClientWireProtocol.ExecuteExportResponse`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ExecuteExportResponse`
`parseFrom(ByteString data)`
`static ClientWireProtocol.ExecuteExportResponse`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ExecuteExportResponse`
`parseFrom(CodedInputStream input)`
`static ClientWireProtocol.ExecuteExportResponse`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ExecuteExportResponse`
`parseFrom(InputStream input)`
`static ClientWireProtocol.ExecuteExportResponse`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ExecuteExportResponse`
`parseFrom(ByteBuffer data)`
`static ClientWireProtocol.ExecuteExportResponse`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<ClientWireProtocol.ExecuteExportResponse>`
`parser()`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessage

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashFields, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### RESPONSE_FIELD_NUMBER

public static final int RESPONSE_FIELD_NUMBER

See Also:
  - Constant Field Values

### EXPORTSTATEMENT_FIELD_NUMBER

public static final int EXPORTSTATEMENT_FIELD_NUMBER

See Also:
  - Constant Field Values

### REDIRECT_FIELD_NUMBER

public static final int REDIRECT_FIELD_NUMBER

See Also:
  - Constant Field Values

### REDIRECTHOST_FIELD_NUMBER

public static final int REDIRECTHOST_FIELD_NUMBER

See Also:
  - Constant Field Values

### REDIRECTPORT_FIELD_NUMBER

public static final int REDIRECTPORT_FIELD_NUMBER

See Also:
  - Constant Field Values

### QUERYID_FIELD_NUMBER

public static final int QUERYID_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage`

### hasResponse

public boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `hasResponse` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  Whether the response field is set.

### getResponse

public ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponse` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The response.

### getResponseOrBuilder

public ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponseOrBuilder` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`

### getExportStatement

public String getExportStatement()
`string exportStatement = 2;`

Specified by:
  `getExportStatement` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The exportStatement.

### getExportStatementBytes

public ByteString getExportStatementBytes()
`string exportStatement = 2;`

Specified by:
  `getExportStatementBytes` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The bytes for exportStatement.

### getRedirect

public boolean getRedirect()

     Redirect = true, means we are telling client to send the command elsewhere

`bool redirect = 3;`

Specified by:
  `getRedirect` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The redirect.

### getRedirectHost

public String getRedirectHost()
`string redirectHost = 4;`

Specified by:
  `getRedirectHost` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The redirectHost.

### getRedirectHostBytes

public ByteString getRedirectHostBytes()
`string redirectHost = 4;`

Specified by:
  `getRedirectHostBytes` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The bytes for redirectHost.

### getRedirectPort

public int getRedirectPort()
`fixed32 redirectPort = 5;`

Specified by:
  `getRedirectPort` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The redirectPort.

### getQueryId

public String getQueryId()
`string queryId = 6;`

Specified by:
  `getQueryId` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The queryId.

### getQueryIdBytes

public ByteString getQueryIdBytes()
`string queryId = 6;`

Specified by:
  `getQueryIdBytes` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The bytes for queryId.

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessage`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessage`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static ClientWireProtocol.ExecuteExportResponse parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ExecuteExportResponse parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ExecuteExportResponse parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ExecuteExportResponse parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ExecuteExportResponse parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ExecuteExportResponse parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ExecuteExportResponse parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ExecuteExportResponse parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.ExecuteExportResponse parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.ExecuteExportResponse parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ExecuteExportResponse parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ExecuteExportResponse parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.ExecuteExportResponse.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static ClientWireProtocol.ExecuteExportResponse.Builder newBuilder()

### newBuilder

public static ClientWireProtocol.ExecuteExportResponse.Builder newBuilder(ClientWireProtocol.ExecuteExportResponse prototype)

### toBuilder

public ClientWireProtocol.ExecuteExportResponse.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected ClientWireProtocol.ExecuteExportResponse.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Description copied from class: `AbstractMessage`
Create a nested builder.

Overrides:
  `newBuilderForType` in class `AbstractMessage`

### getDefaultInstance

public static ClientWireProtocol.ExecuteExportResponse getDefaultInstance()

### parser

public static Parser<ClientWireProtocol.ExecuteExportResponse> parser()

### getParserForType

public Parser<ClientWireProtocol.ExecuteExportResponse> getParserForType()
Description copied from class: `GeneratedMessage`
TODO: Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessage`

### getDefaultInstanceForType

public ClientWireProtocol.ExecuteExportResponse getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`